---
schema_version: "1"
id: 819f92105d7d533cf33b6b1417ee89eece8d0ab89f399757553bd3ed5fc5cac9
title: Create a List View for an Object
collection: legacydeveloper
version: current
locale: en-us
portal_url: https://docs.salesforce.com/legacydeveloper/current/en-us/uiapi/ui_api_resources_lists_object_post.md
canonical_url: https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_resources_lists_object_post.htm
source_site: developer.salesforce.com
content_type: documentation
content_hash: 14e3a25befd20b36ce87d87eede366c821b542ad63921a04d228f56d82217598
description: Create a list view associated with an object.
---
# Create a List View for an Object

Create a list view associated with an object.

Resource

/ui-api/list-info/${objectApiName}

Available version

61.0

HTTP methods

POST

Example

This example uses a request body to create the metadata for an account list view.

POST /services/data/v68.0/ui-api/list-info/Account

{
"listViewApiName": "MyAccountListView",
"filteredByInfo": \[
  {
  "fieldApiName": "Name",
  "operandLabels": \[ "This", "That"\],
  "operator": "Equals"
  },
  {
  "fieldApiName": "Phone",
  "operandLabels": \[ "919"\],
  "operator": "StartsWith"
  },
{
  "fieldApiName": "AnnualRevenue",
  "operandLabels": \[ "1000000"\],
  "operator": "GreaterThan"
  }
\],
"filterLogicString" : "(1 OR 2) AND 3",
"label": "Accounts opened this year",
"scope": {
  "apiName": "entity",
  "entityId": "00Gxx000000sjI8",
  "relatedEntityId": "701xx000003HZ7X"
},
"visibility": "Public"
}

Request parameters for POST

| Parameter Name | Type | Description | Required or Optional | Available Version |
| --- | --- | --- | --- | --- |
| listInfoInput | [List Info Post Input](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_requests_list_info_post_input.htm "Info to create a list.") | Info to create a list. | Required | 61.0 |

Response body for POST

[List Info](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_responses_list_metadata.htm "Metadata that describes a list.")